Bug 1260947 - unzip: Heap overflow and DoS in 6.0 [fedora-all]
unzip: Heap overflow and DoS in 6.0 [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: unzip (Show other bugs)
22
All Linux
medium Severity medium
: ---
: ---
Assigned To: Kamil Dudka
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2015-7696/CVE-2015-7697
  Show dependency treegraph
 
Reported: 2015-09-08 05:39 EDT by Adam Mariš
Modified: 2015-10-05 18:52 EDT (History)
2 users (show)

See Also:
Fixed In Version: 6.0-22.fc22 unzip-6.0-22.fc21
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-09-21 06:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch (801 bytes, patch)
2015-09-13 16:12 EDT, pstodulk
no flags Details | Diff

  None (edit)
Description Adam Mariš 2015-09-08 05:39:44 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]
Comment 1 Adam Mariš 2015-09-08 05:39:49 EDT
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1260944,1260947

# Description of your update
notes=Security fix for 

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1260944,1260947
Comment 2 pstodulk 2015-09-13 16:12:05 EDT
Created attachment 1073002 [details]
patch

It's patched in upstream - patch is not ideal but it works.
Comment 3 pstodulk 2015-09-13 16:14:46 EDT
P.S. it solves only segfault. Not second problem.
Comment 4 Kamil Dudka 2015-09-14 14:37:09 EDT
fixed in unzip-6.0-23.fc24
Comment 5 Fedora Update System 2015-09-14 14:54:29 EDT
unzip-6.0-22.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15859
Comment 6 Fedora Update System 2015-09-14 14:54:32 EDT
unzip-6.0-23.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-15860
Comment 7 Fedora Update System 2015-09-15 12:50:40 EDT
unzip-6.0-23.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update unzip'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15860
Comment 8 Fedora Update System 2015-09-15 18:54:33 EDT
unzip-6.0-22.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update unzip'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15859
Comment 9 Fedora Update System 2015-09-15 18:56:29 EDT
unzip-6.0-22.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.\nIf you want to test the update, you can install it with \n su -c 'yum --enablerepo=updates-testing update unzip'. You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-15858
Comment 10 Fedora Update System 2015-09-21 06:48:49 EDT
unzip-6.0-23.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2015-09-22 18:53:52 EDT
unzip-6.0-22.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-10-05 18:52:50 EDT
unzip-6.0-22.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.